[
    {
        "ingredientPattern": "B",
        "shapeless": true,
        "ingredients": {
            "B": {
                "type": "block",
                "code": "game:*-bamboo-east-free",
                "quantity": 1
            }
        },
        "width": 1,
        "height": 1,
        "output": {
            "type": "item",
            "code": "game:bamboostakes",
            "quantity": 1
        }
    },
    {
        "ingredientPattern": "B",
        "shapeless": true,
        "ingredients": {
            "B": {
                "type": "block",
                "code": "game:*-bamboo-free",
                "quantity": 1
            }
        },
        "width": 1,
        "height": 1,
        "output": {
            "type": "item",
            "code": "game:bamboostakes",
            "quantity": 1
        }
    },
    {
        "ingredientPattern": "B",
        "shapeless": true,
        "ingredients": {
            "B": {
                "type": "block",
                "code": "game:stackedbamboo-ud",
                "quantity": 1
            }
        },
        "width": 1,
        "height": 1,
        "output": {
            "type": "item",
            "code": "game:bamboostakes",
            "quantity": 4
        }
    }
]